Name:           perl-CGI-Application-Dispatch
Version:        3.12
Release:        15%{?dist}
Summary:        Dispatch requests to CGI::Application based objects
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/CGI-Application-Dispatch/
Source0:        http://www.cpan.org/authors/id/M/MA/MARKSTOS/CGI-Application-Dispatch-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-generators
BuildRequires:  perl(CGI)
BuildRequires:  perl(CGI::Application) >= 4.50
BuildRequires:  perl(CGI::PSGI)
BuildRequires:  perl(Exception::Class)
BuildRequires:  perl(Exception::Class::TryCatch)
BuildRequires:  perl(HTTP::Exception)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Plack)
BuildRequires:  perl(Plack::Test)
BuildRequires:  perl(Test::LongString)
BuildRequires:  perl(Test::More)
# Apache::Test must be configured before use.
# BuildRequires:  perl(Apache::Test)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
This module provides a way (as a mod_perl handler or running under vanilla
CGI) to look at the path (as returned by dispatch_path) of the incoming
request, parse off the desired module and it's run mode, create an instance
of that module and run it.

%prep
%setup -q -n CGI-Application-Dispatch-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.12-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.12-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Jun 06 2017 Jitka Plesnikova <jplesnik@redhat.com> - 3.12-13
- Perl 5.26 rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.12-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue May 17 2016 Jitka Plesnikova <jplesnik@redhat.com> - 3.12-11
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.12-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.12-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 08 2015 Jitka Plesnikova <jplesnik@redhat.com> - 3.12-8
- Perl 5.22 rebuild

* Mon Sep 01 2014 Jitka Plesnikova <jplesnik@redhat.com> - 3.12-7
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.12-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Apr 08 2014 Emmanuel Seyman <emmanuel@seyman.fr> - 3.12-5
- Add Plack::Test as a BR

* Mon Aug 05 2013 Petr Pisar <ppisar@redhat.com> - 3.12-4
- Perl 5.18 rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Sep 16 2012 Emmanuel Seyman <emmanuel@seyman.fr> - 3.12-1
- Update to 3.12

* Mon Sep 03 2012 Emmanuel Seyman <emmanuel@seyman.fr> - 3.10-1
- Update to 3.10

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.07-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Jul 01 2012 Petr Pisar <ppisar@redhat.com> - 3.07-3
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.07-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Sep 10 2011 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> - 3.07-1
- Update to 3.07

* Thu Jul 21 2011 Petr Sabata <contyk@redhat.com> - 3.04-2
- Perl mass rebuild

* Fri Jul 08 2011 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> - 3.04-1
- Update to 3.04
- Add HTTP::Exception and CGI::PSGI to the BuildRequires
- Lose the TODO file

* Tue Jun 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 3.00-2
- Perl mass rebuild

* Mon Jun 20 2011 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> - 3.00-1
- Update to 3.00
- Spec clean-up

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jan 06 2011 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> - 2.18-1
- Update to 2.18

* Wed Dec 15 2010 Marcela Maslanova <mmaslano@redhat.com> - 2.17-4
- 661697 rebuild for fixing problems with vendorach/lib

* Tue Dec 14 2010 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> - 2.17-3
- Add perl(CGI) to BuildRequires (#660800).

* Fri Apr 30 2010 Marcela Maslanova <mmaslano@redhat.com> - 2.17-2
- Mass rebuild with perl-5.12.0

* Fri Jan  1 2010 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> - 2.17-1
- Update to 2.17.

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 2.16-3
- rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jun 25 2009 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> 2.16-1
- Update to 2.15
- Tests activated

* Mon Dec 22 2008 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> 2.15-1
- Specfile autogenerated by cpanspec 1.77.
